import fs from 'fs';
import browserify from 'browserify';
import dotenv from 'dotenv';
import banner from 'browserify-banner';

dotenv.config();

const STATIC_BANNER = "// ==UserScript==\n" +
  `// @name                ${process.env['NAME']}\n` +
  `// @description         ${process.env['DESCRIPTION']}\n` +
  `// @version             ${process.env['VERSION']}\n` +
  `// @author              ${process.env['AUTHOR']}\n` +
  `// @namespace           ${process.env['NAMESPACE']}\n` +
  `// @match               ${process.env['MATCH']}\n` +
  "// @license MIT\n" +
  "// ==/UserScript==\n\n";

browserify("./app.js")
  .transform("babelify", { presets: ["@babel/preset-env"] })
  .plugin(banner, { banner: STATIC_BANNER })
  .bundle()
  .pipe(fs.createWriteStream("app.bundle.js"));