import Supermarket from "./Supermarket.js";

export default class Location {

    static empty() {
        return this.fromRaw(null); 
    }

    static fromRaw(raw) {
        const location = new Location();
        location.name = raw?.name || '';
        location.altitude = raw?.altitude || 0;

        location.train = raw?.train || false;
        location.bus = raw?.bus || true;

        location.gym = raw?.gym || false;
        location.pool = raw?.pool || false;

        location.pharmacy = raw?.pharmacy || true;
        location.smoke = raw?.smoke || false;
        location.supermarkets = [];

        if (raw.supermarkets) {
            for (const rawSupermarket of raw.supermarkets) {
                const supermarket = new Supermarket();
                supermarket.name = rawSupermarket?.type;
                supermarket.url = rawSupermarket?.url;
                location.supermarkets.push(supermarket);
            }
        }

        return location;
    }

    name;
    altitude;
    
    train;
    bus;
    
    pool;
    gym;

    supermarkets;
    smoke;

}